Package kiyut.swing.dialog

## Class DialogESC

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - kiyut.swing.dialog.DialogESC

- All Implemented Interfaces:
    `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `RootPaneContainer`, `WindowConstants`
  Direct Known Subclasses:
    `ExportAsImageWindow`, `RegisterWindow`

      public class DialogESC
      extends JDialog

  `JDialog` which is closeable by pressing ESC key
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `Window.AccessibleAWTWindow, Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `allowESC` | Flag for to allow ESC key to close, Default is True

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DialogESC()` |
    `DialogESC​(Dialog owner)` |
    `DialogESC​(Dialog owner, boolean modal)` |
    `DialogESC​(Dialog owner, String title)` |
    `DialogESC​(Dialog owner, String title, boolean modal)` |
    `DialogESC​(Dialog owner, String title, boolean modal, GraphicsConfiguration gc)` |
    `DialogESC​(Frame owner)` |
    `DialogESC​(Frame owner, boolean modal)` |
    `DialogESC​(Frame owner, String title)` |
    `DialogESC​(Frame owner, String title, boolean modal)` |
    `DialogESC​(Frame owner, String title, boolean modal, GraphicsConfiguration gc)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DialogESC` | `createDialog​(Component component, String title)` | Convencience static method to create instance.
    `static DialogESC` | `createDialog​(Component component, String title, boolean modal)` | Convencience static method to create instance.
    `protected JRootPane` | `createRootPane()` | Overidden to make Escape key to close this dialog
    `boolean` | `isAllowESC()` |
    `void` | `setAllowESC​(boolean allow)` | Setting allow Escape key to close, default is true

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### allowESC

          protected boolean allowESC

      Flag for to allow ESC key to close, Default is True

  - ### Constructor Detail

    - #### DialogESC

          public DialogESC()

    - #### DialogESC

          public DialogESC​(Dialog owner)

    - #### DialogESC

          public DialogESC​(Dialog owner,
                           boolean modal)

    - #### DialogESC

          public DialogESC​(Dialog owner,
                           String title)

    - #### DialogESC

          public DialogESC​(Dialog owner,
                           String title,
                           boolean modal)

    - #### DialogESC

          public DialogESC​(Dialog owner,
                           String title,
                           boolean modal,
                           GraphicsConfiguration gc)

    - #### DialogESC

          public DialogESC​(Frame owner)

    - #### DialogESC

          public DialogESC​(Frame owner,
                           boolean modal)

    - #### DialogESC

          public DialogESC​(Frame owner,
                           String title)

    - #### DialogESC

          public DialogESC​(Frame owner,
                           String title,
                           boolean modal)

    - #### DialogESC

          public DialogESC​(Frame owner,
                           String title,
                           boolean modal,
                           GraphicsConfiguration gc)

  - ### Method Detail

    - #### createDialog

          public static DialogESC createDialog​(Component component,
                                               String title)

      Convencience static method to create instance. It will create modal dialog It will search for the owner Window (Frame or Dialog) as specified by JDialog constructor owner
      Parameters:
        `component` - component that will be searched for the Frame or Dialog owner
        `title` - title as String
      Returns:
        DialogESC as modal
      See Also:
        `createDialog(Component, String, boolean)`

    - #### createDialog

          public static DialogESC createDialog​(Component component,
                                               String title,
                                               boolean modal)

      Convencience static method to create instance. It will search for the owner Window (Frame or Dialog) as specified by JDialog constructor owner
      Parameters:
        `component` - component that will be searched for the Frame or Dialog owner
        `title` - title as String
        `modal` - true or false
      Returns:
        DialogESC

    - #### createRootPane

          protected JRootPane createRootPane()

      Overidden to make Escape key to close this dialog
      Overrides:
        `createRootPane` in class `JDialog`

    - #### setAllowESC

          public void setAllowESC​(boolean allow)

      Setting allow Escape key to close, default is true
      Parameters:
        `allow` - true or false

    - #### isAllowESC

          public boolean isAllowESC()